Source: libomemo-c
Section: devel
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Martin <debacle@debian.org>
Standards-Version: 4.1.3
Rules-Requires-Root: no
Build-Depends:
 check,
 cmake,
 debhelper-compat (= 13),
 dpkg-dev (>= 1.16.1),
 libssl-dev,
 protobuf-c-compiler,
Homepage: https://github.com/dino/libomemo-c
Vcs-Git: https://salsa.debian.org/xmpp-team/libomemo-c.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/libomemo-c

Package: libomemo-c-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libomemo-c0 (= ${binary:Version}),
 ${misc:Depends},
Description: OMEMO encryption library - development files
 This is a fork of libsignal-protocol-c, an implementation of Signal's
 ratcheting forward secrecy protocol that works in synchronous and
 asynchronous messaging. The fork adds support for OMEMO as defined in
 XEP-0384 versions 0.3.0 and later.
 .
 This package contains the development files.

Package: libomemo-c0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: OMEMO encryption library
 This is a fork of libsignal-protocol-c, an implementation of Signal's
 ratcheting forward secrecy protocol that works in synchronous and
 asynchronous messaging. The fork adds support for OMEMO as defined in
 XEP-0384 versions 0.3.0 and later.
